Spec Get
Get information about a specific spec.
security_info and shared_security_info are omitted by default. Pass include_security=true as an organization admin to receive those fields.
Parameters:
- api_name (str): The name of the spec to retrieve information for.
- include_security (bool): When true (org admin only), include security_info and shared_security_info.
Returns:
- SpecInfo: Information about the specified spec.
Raises:
- HTTPException(403): If include_security=true and the user is not an org admin.
- HTTPException(404): If the spec with the provided API name is not found.
- HTTPException(500): If an error occurs while fetching the spec information.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Query Parameters
When true, include security_info and shared_security_info. Requires an organization admin role.
Response
Successful Response
Model representing information about a spec.
The title of the API.
The name of the API.
The version of the API.
Email address of the user who created the spec.
The domain URL of the API.
The server URL of the API.
A list of available server URLs for the API.
List of examples associated with the API.
Summary information generated by LLM (Large Language Model).
App categories generated by the LLM.
Use case generated by the LLM.
The date and time when the spec was created.
The date and time when the spec was last updated.
Information about the security configurations of the API.
Flag indicating whether the security information is configured.
Information about the state of each operation the spec. support.
Total number of operations the spec. support.
Number of operations that are enabled.
Name and values of common parameters used in the spec.
User input templates for the operations.
Flag indicating whether the spec belong to the tenant or it is a global one.
Flag indicating whether the spec uses shared security info (global specs only).
The agentic metadata of the spec.
